Class for creating File PPS's for OLE containers

author | Xavier Noguer
category | PHPExcel
package | PHPExcel_Shared_OLE

### Methods

## Returns the amount of data saved for this PPS

    _DataLen() : integer

Inherited

access | public
inherited_from | \PHPExcel_Shared_OLE_PPS::_DataLen()

### Returns

`integer`The amount of data (in bytes)

## The constructor

    __construct(string $name)

access | public
see | \OLE::Asc2Ucs()

### Parameters

#### $name

`string`

The name of the file (in Unicode)

## Returns a string with the PPS's WK (What is a WK?)

    _getPpsWk() : string

Inherited

access | public
inherited_from | \PHPExcel_Shared_OLE_PPS::_getPpsWk()

### Returns

`string`The binary string

## Updates index and pointers to previous, next and children PPS's for this PPS.

    _savePpsSetPnt(array $raList, $to_save, $depth) : integer

Inherited Static

I don't think it'll work with Dir PPS's.

access | public
inherited_from | \PHPExcel_Shared_OLE_PPS::_savePpsSetPnt()

### Parameters

#### $raList

`array`

&$raList Reference to the array of PPS's for the whole OLE container

#### $to_save

#### $depth

### Returns

`integer`The index for this PPS

## Append data to PPS

    append(string $data)

access | public

### Parameters

#### $data

`string`

The data to append

## Returns a stream for reading this file using fread() etc.

    getStream() : resource

### Returns

`resource`a read-only stream

## Initialization method.

    init() : mixed

Has to be called right after OLE_PPS_File().

access | public

### Returns

`mixed`true on success

### Properties

##

    $DirPps : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$DirPps

##

    $Name : string

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$Name

##

    $NextPps : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$NextPps

##

    $No : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$No

##

    $PrevPps : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$PrevPps

##

    $Size : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$Size

##

    $Time1st : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$Time1st

##

    $Time2nd : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$Time2nd

##

    $Type : integer

Inherited

Dir, Root or File

inherited_from | \PHPExcel_Shared_OLE_PPS::$$Type

##

    $_StartBlock : integer

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$_StartBlock

##

    $_data : string

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$_data

##

    $children : array

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$children

##

    $ole : \OLE

Inherited

inherited_from | \PHPExcel_Shared_OLE_PPS::$$ole